package it.micegroup.gestioneferie.pianificazioneferie.criteria;

import java.io.Serializable;

import it.micegroup.voila2runtime.filter.LongFilter;
import it.micegroup.voila2runtime.filter.StringFilter;
import it.micegroup.voila2runtime.filter.LocalDateFilter;

public class DstatiRichiestaPfAmmtoCriteria implements Serializable {

	// SERIAL UID
	// Generated SERIAL VERSION UID
	private static final long serialVersionUID = 4245367511L;

	// FILTER ATTRIBUTES
	private LongFilter sequIdStatoRichPfAmmto;

	private StringFilter codiStatoRichiesta;

	private StringFilter descStatoRichiesta;

	private StringFilter flagEliminato;

	private StringFilter utenteUltimaModifica;

	private LocalDateFilter dataUltimaModifica;

	private LocalDateFilter dataInizioRecord;

	private LocalDateFilter dataFineRecord;

	// FILTER FATHER

	// FILTER IMPORTED FATHER

	// GETTER/SETTER
	/**
	 * @return the sequIdStatoRichPfAmmto
	 */
	public LongFilter getSequIdStatoRichPfAmmto() {
		return this.sequIdStatoRichPfAmmto;
	}

	/**
	 * @param sequIdStatoRichPfAmmto to set
	 */
	public void setSequIdStatoRichPfAmmto(LongFilter sequIdStatoRichPfAmmto) {
		this.sequIdStatoRichPfAmmto = sequIdStatoRichPfAmmto;
	}

	/**
	 * @return the codiStatoRichiesta
	 */
	public StringFilter getCodiStatoRichiesta() {
		return this.codiStatoRichiesta;
	}

	/**
	 * @param codiStatoRichiesta to set
	 */
	public void setCodiStatoRichiesta(StringFilter codiStatoRichiesta) {
		this.codiStatoRichiesta = codiStatoRichiesta;
	}

	/**
	 * @return the descStatoRichiesta
	 */
	public StringFilter getDescStatoRichiesta() {
		return this.descStatoRichiesta;
	}

	/**
	 * @param descStatoRichiesta to set
	 */
	public void setDescStatoRichiesta(StringFilter descStatoRichiesta) {
		this.descStatoRichiesta = descStatoRichiesta;
	}

	/**
	 * @return the flagEliminato
	 */
	public StringFilter getFlagEliminato() {
		return this.flagEliminato;
	}

	/**
	 * @param flagEliminato to set
	 */
	public void setFlagEliminato(StringFilter flagEliminato) {
		this.flagEliminato = flagEliminato;
	}

	/**
	 * @return the utenteUltimaModifica
	 */
	public StringFilter getUtenteUltimaModifica() {
		return this.utenteUltimaModifica;
	}

	/**
	 * @param utenteUltimaModifica to set
	 */
	public void setUtenteUltimaModifica(StringFilter utenteUltimaModifica) {
		this.utenteUltimaModifica = utenteUltimaModifica;
	}

	/**
	 * @return the dataUltimaModifica
	 */
	public DateFilter getDataUltimaModifica() {
		return this.dataUltimaModifica;
	}

	/**
	 * @param dataUltimaModifica to set
	 */
	public void setDataUltimaModifica(DateFilter dataUltimaModifica) {
		this.dataUltimaModifica = dataUltimaModifica;
	}

	/**
	 * @return the dataInizioRecord
	 */
	public DateFilter getDataInizioRecord() {
		return this.dataInizioRecord;
	}

	/**
	 * @param dataInizioRecord to set
	 */
	public void setDataInizioRecord(DateFilter dataInizioRecord) {
		this.dataInizioRecord = dataInizioRecord;
	}

	/**
	 * @return the dataFineRecord
	 */
	public DateFilter getDataFineRecord() {
		return this.dataFineRecord;
	}

	/**
	 * @param dataFineRecord to set
	 */
	public void setDataFineRecord(DateFilter dataFineRecord) {
		this.dataFineRecord = dataFineRecord;
	}

	// GETTER/SETTER FATHER

	// GETTER/SETTER IMPORTED FATHER

	// GEN COMPOSITE FILTER

}
